:root {
  --green-ligh: #47cfac;
}

* {
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  font-family: "Roboto Mono", monospace;
  margin: 0;
  padding: 0;
}
.content-body-fixen {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.grid-container {
  max-width: 980px;
  margin: auto;
}

a {
  text-decoration: none;
  display: inline;
  color: black;
}

header {
  width: 100%;
  height: 140px;
  display: grid;
  grid-template-rows: repeat(2, 1fr);
}

header .header-icons--container {
  width: 100%;
  height: 50px;
  display: grid;
  background-color: var(--green-ligh);
}

header .header-icons--container .icons {
  width: 300px;
  height: auto;
  display: flex;
  justify-items: flex-end;
  align-items: center;
  justify-content: space-between;
  justify-self: end;
  margin-right: 50px;
}

header .icons span {
  color: white;
}

nav {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  height: 90px;
}

nav .nav-logo--container {
  margin-left: 50px;
}

nav .nav-logo--container img {
  width: 220px;
  margin-top: 10px;
}

nav .profile-link {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  margin-right: 50px;
}

nav .profile-link a {
  color: black;
  border-bottom: 1px solid black;
  font-size: 2rem;
}

.main-container-fondo img {
  background-position: center;
  background-repeat: no-repeat;
}

.home-main {
  display: grid;
  grid-template-columns: 1fr 4fr 1fr;
  height: 100%;
  background-image: url("./Cover.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.home-main section {
  display: grid;
  grid-column: 2;
  justify-items: center;
  margin-top: 80px;
}

.home-main-text {
  font-size: 3rem;
  font-weight: 700;
  letter-spacing: 10px;
  color: white;
  height: 200px;
  margin: 100px 0 0 0;
}

.home-main-button {
  width: 110px;
  height: 50px;
  background: var(--green-ligh);
  display: grid;
  align-items: center;
  margin-bottom: 400px;
}

.home-main-button a {
  font-weight: 700;
  font-size: 18px;
}

.blogs-mains {
  display: grid;
}

.hero {
  background: #e6e9ed;
  padding: 0 50px 40px;
}

.hero-carone {
  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-template-rows: 2fr;
}

.hero-carone-img {
  grid-column: 1;
}

.hero-carone-img img {
  width: 85%;
}
.hero-cartwo {
  grid-column: 2;
}

.main-blogpost-container {
  padding: 0 50px 40px;
}

.main-blogpost-container h3 {
  text-align: center;
  border-bottom: 1px solid #cdd2da;
  padding-bottom: 20px;
}

.blog-button {
  background-color: transparent;
  padding: 10px 15px;
  border: 1px solid var(--green-ligh);
}

.main-blogpost-container .post-container {
  display: inline-block;
  padding-left: 10px;
  max-width: 30%;
  margin-bottom: 50px;
}

.main-blogpost-container .post-container p {
  margin-bottom: 35px;
}

.main-blogpost-container .post-container img {
  width: 100%;
}

footer {
  width: 100%;
  height: 80px;
  background-color: #22272d;
  border-top: 35px solid #47cfac;
  text-align: center;
}

footer p {
  color: #ffff;
}

.blogpost-img-container {
  padding: 0 50px 40px;
}

.blogpost-img-container img {
  width: 100%;
}

.blogpost-main-container {
  padding: 0 50px 40px;
}

.blogpost-main-container h3 {
  border-bottom: 1px solid #cdd2da;
  padding-bottom: 20px;
}

.blogpost-main-container article h1 {
  font-size: 3.5rem;
}

.contact-main-container {
  width: 100%;
  min-height: 200px;
  background-color: #cdd2da;
  text-align: center;
  padding-bottom: 50px;
}

.contact-main-container img {
  width: 100px;
}

.contact-main-container div {
  display: inline-block;
  width: 49.5%;
  height: 100%;
}

.contact-main-container div a {
  border-bottom: 1px solid black;
  padding-bottom: 5px;
}

.contact-main-container .conctact-left,
.conctact-right {
  text-align: initial;
  margin-top: 85px;
}

.profile-main-container {
  padding: 70px 40px;
  background-color: #cdd2da;
  margin-bottom: 50px;
}
.profile-main-container img {
  width: 320px;
  margin-right: 30px;
}

.profile-main-container .profile-container {
  display: flex;
}

.profile-main-proyect {
  padding: 0 50px 40px;
}

.profile-main-proyect h3 {
  border-bottom: 1px solid black;
  padding-bottom: 20px;
  text-align: center;
}

.protects-main-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.proyects-container {
  padding: 0 5px;
}
